<?xml version="1.0"?>
<configuration>
  <global>
    <dimDns value="ntofproxy-2" />
    <actionsCfg>
      <!-- Example of what we can do to configure actions to init festival library -->
      <action name="speech">
        <command value="(voice_nitech_us_awb_arctic_hts)" />
      </action>
    </actionsCfg>
  </global>


  <!--
    Alarm Notifier will connect to Timing service and react to its value:
     - if PRIMARY it will execute a command.
     - If PARASITIC it will play a file sound.
     - if CALIBRATION it will play a speech by evaluating name attribute from Timing/event xml service.
  -->
  <timing service="Timing/event">
    <values>
      <value name="PRIMARY">
        <actions>
          <action name="command" command="echo -ne '\007'&amp;" />
        </actions>
      </value>
      <value name="PARASITIC">
        <actions>
          <action name="sound" file="sounds/siren.wav" enqueue="0" />
        </actions>
      </value>
      <value name="CALIBRATION">
        <actions>
          <action name="speech">
            <text>CALIBRATION beam received with event number </text> -->
            <variable from="attribute" name="name" xpath="."/>
          </action>
        </actions>
      </value>
    </values>
  </timing>

  <!--
    Alarm Notifier will connect to State service and react to various states:
     - For ALL states it will play a speech by evaluating strValue from EACS/State xml value
     - You can specify a default actions to perform if you do not want to list all the values
     - if value is 1 (LOADING) it print "EACS/State is Loading" on console
     - if value is 10 (RUNNING) it print "EACS/State is Running" on console
  -->
  <states>
    <state service="EACS/State">
      <all>
        <actions>
          <action name="speech">
            <text>EACS is </text>
            <variable from="attribute" name="strValue" xpath="." />
            <text>.</text>
          </action>
        </actions>
      </all>
      <default>
        <actions>
          <action name="command" command="echo -ne 'EACS/State default action'&amp;" />
        </actions>
      </default>
      <values>
        <value enum="1">
          <actions>
            <action name="command" command="echo -ne 'EACS/State is Loading'&amp;" />
          </actions>
        </value>
        <value enum="10">
          <actions>
            <action name="command" command="echo -ne 'EACS/State is Running'&amp;" />
          </actions>
        </value>
      </values>
    </state>
  </states>

  <!--
    Alarm Notifier will connect to AlarmServer dim xml service and react to various alarms.
    AlarmServer is publishing different alarms that are identified by an ident string.
    In this example:
     - it ignores DATASET/TOF2_VGR3.PR#__DIP_DEFAULT___max
     - it override default behaviour for DATASET/TOF2_VGR2.PR#__DIP_DEFAULT___max by playing a siren sound
     - otherwise, for all the others alarms it will play a siren sound if severity is Error or Critical
  -->
  <alarms service="Alarms" lastActive="2000">
    <ignore>
      <alarm ident="DATASET/TOF2_VGR3.PR#__DIP_DEFAULT___max" />
    </ignore>
    <override>
      <alarm ident="DATASET/TOF2_VGR2.PR#__DIP_DEFAULT___max">
        <actions>
          <action name="sound" file="siren.mp3" />
        </actions>
      </alarm>
    </override>
    <default>
      <alarm severity="Info" />
      <alarm severity="Warning" />
      <alarm severity="Error">
        <actions>
          <action name="sound" file="siren.mp3" />
        </actions>
      </alarm>
      <alarm severity="Critical">
        <actions>
          <action name="sound" file="siren.mp3" />
        </actions>
      </alarm>
    </default>
  </alarms>

</configuration>
